%bcond_with man

Summary: Generate and verify various DNS records such as SSHFP, TLSA and OPENPGPKEY
Name: hash-slinger
Version: 3.2
Release:    1%{?dist}
License: GPL-2.0-or-later
Url:  https://github.com/letoams/%{name}/
Source0:  %{url}archive/%{version}/%{name}-%{version}.tar.gz
%if %{with man}
Buildrequires: xmlto
%endif
BuildRequires: python3-devel, make
Requires: python3 >= 3.4
Requires: python3-dns, python3-unbound
Requires: openssh-clients >= 4, python3-m2crypto, python3-gnupg >= 0.3.7
BuildArch: noarch
Provides: sshfp  = %{version}

%description
This package contains various tools to generate special DNS records:

sshfp       Generate RFC-4255 SSHFP DNS records from known_hosts files
            or ssh-keyscan
tlsa        Generate RFC-6698  TLSA DNS records via TLS
openpgpkey  Generate RFC-7929 DNS records from OpenPGP
            keyrings
ipseckey    Generate RFC-4025 IPSECKEY DNS records on Libreswan
            IPsec servers

This package has incorporated the old 'sshfp' and 'swede' commands/packages

%prep
%autosetup

%build
%make_build all

%install
%make_install

%files 
%license COPYING
%doc BUGS CHANGES README
%{_bindir}/*
%doc %{_mandir}/man1/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2-1
- initial build
